package org.apache.commons.lang3.time;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.time.DurationFormatUtils;

class Token {
  private static final Token[] EMPTY_ARRAY = new Token[0];
  
  private final Object value;
  
  private int count;
  
  static boolean containsTokenWithValue(Token[] tokens, Object value) {
    for (Token token : tokens) {
      if (token.getValue() == value)
        return true; 
    } 
    return false;
  }
  
  Token(Object value) {
    this.value = value;
    this.count = 1;
  }
  
  Token(Object value, int count) {
    this.value = value;
    this.count = count;
  }
  
  void increment() {
    this.count++;
  }
  
  int getCount() {
    return this.count;
  }
  
  Object getValue() {
    return this.value;
  }
  
  public boolean equals(Object obj2) {
    if (obj2 instanceof Token) {
      Token tok2 = (Token)obj2;
      if (this.value.getClass() != tok2.value.getClass())
        return false; 
      if (this.count != tok2.count)
        return false; 
      if (this.value instanceof StringBuilder)
        return this.value.toString().equals(tok2.value.toString()); 
      if (this.value instanceof Number)
        return this.value.equals(tok2.value); 
      return (this.value == tok2.value);
    } 
    return false;
  }
  
  public int hashCode() {
    return this.value.hashCode();
  }
  
  public String toString() {
    return StringUtils.repeat(this.value.toString(), this.count);
  }
}
